import request from "@/utils/request";

// 分页获取母线列表
export function getGeneratrixPageList(data) {
    return request({
        url: "/device-boot/pmsGeneratrix/getGeneratrixPageList",
        method: "post",
        data,
    });
}
// 新增母线
export function addGeneratrix(data) {
    return request({
        url: "/device-boot/pmsGeneratrix/addGeneratrix",
        method: "post",
        data,
    });
}
// 修改线路
export function updateGeneratrix(data) {
    return request({
        url: "/device-boot/pmsGeneratrix/updateGeneratrix",
        method: "post",
        data,
    });
}
// 删除线路
export function delGeneratrix(data) {
    return request({
        url: "/device-boot/pmsGeneratrix/delGeneratrix",
        method: "Delete",
        data,
    });
}
// 获取电站
export function getstatationStatList(data) {
    return request({
        url: "/device-boot/pms/statationStat/getstatationStatList",
        method: "post",
        data,
    });
}